summaryrefslogtreecommitdiff
path: root/sys-apps/tas/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-09-30 11:19:18 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-09-30 11:19:18 +0100
commit62f67115b5c46134c34f88f4b1cbdacc19384c0a (patch)
tree0a76b14de203a4c23040e5665e39df8de9867745 /sys-apps/tas/files
parent265dbe5dbc14c199299496c6db8fce3f76647015 (diff)
gentoo resync : 30.09.2018
Diffstat (limited to 'sys-apps/tas/files')
-rw-r--r--sys-apps/tas/files/tas.ini8
-rw-r--r--sys-apps/tas/files/tas.initd17
-rw-r--r--sys-apps/tas/files/tas.service11
3 files changed, 36 insertions, 0 deletions
diff --git a/sys-apps/tas/files/tas.ini b/sys-apps/tas/files/tas.ini
new file mode 100644
index 000000000000..06f125000bbd
--- /dev/null
+++ b/sys-apps/tas/files/tas.ini
@@ -0,0 +1,8 @@
+Config :
+{
+ updateFreq = 10;
+};
+Path :
+{
+ installedPath = "/etc/supermicro";
+};
diff --git a/sys-apps/tas/files/tas.initd b/sys-apps/tas/files/tas.initd
new file mode 100644
index 000000000000..21b9bd14b0d5
--- /dev/null
+++ b/sys-apps/tas/files/tas.initd
@@ -0,0 +1,17 @@
+#!/sbin/openrc-run
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+name="Supermicro Thin-Agent Service"
+pidfile="/run/${RC_SVCNAME}.pid"
+
+command="/usr/bin/IPMITAS"
+command_args="-agent start-service"
+command_args_stop="-agent stop-service"
+start_stop_daemon_args="--env LC_ALL=C"
+
+stop() {
+ ebegin "Stopping ${name}"
+ ${command} ${command_args_stop}
+ eend $?
+}
diff --git a/sys-apps/tas/files/tas.service b/sys-apps/tas/files/tas.service
new file mode 100644
index 000000000000..7bf6db6265ee
--- /dev/null
+++ b/sys-apps/tas/files/tas.service
@@ -0,0 +1,11 @@
+[Unit]
+After=network-online.target
+Description=TAS
+
+[Service]
+Environment="LC_ALL=C"
+ExecStart=/usr/bin/IPMITAS
+Type=simple
+
+[Install]
+WantedBy=multi-user.target